#!/usr/bin/python
from ctypes import *

ahidlib = cdll.LoadLibrary(r".\ahid.dll")

def init():
    return ahidlib.AHid_init(b"")

def register(handle, vid, pid, interfaceId, reportId, reportSize, reportType):
    return ahidlib.AHid_register(byref(handle), vid, pid, interfaceId, reportId, reportSize, reportType)

def deregister(handle):
    return ahidlib.AHid_deregister(byref(handle))

def write(handle, buffer, bufferSize, bytesWritten):
    return ahidlib.AHid_write(handle.value, byref(buffer), bufferSize, byref(bytesWritten))

def read(handle, buffer, bufferSize, bytesRead):
    return ahidlib.AHid_read(handle.value, byref(buffer), bufferSize, byref(bytesRead))

def find(handle):
    return ahidlib.AHid_find(handle.value)

def identify(handle, buffer, bufferSize, bytesProcessed):
    return ahidlib.AHid_identify(handle, byref(buffer), bufferSize, byref(bytesProcessed))
