import ahid
from ctypes import *
from time import sleep
from  msvcrt import kbhit, getch

# Constants defining your HID device
vid = 0xAADC
pid = 0x0002
outputReportId = 1
outputReportSize = 16
inputReportId = 1
inputReportSize = 16

# Variables
outputHandle = c_int()
inputHandle = c_int()
bytesWritten = c_int()
bytesRead = c_int()
outputBuffer = (c_ubyte * outputReportSize)()
inputBuffer = (c_ubyte * inputReportSize)()
key = ""
result = 0

# Init sequence
result = ahid.init()
print("init library = " + str(result))

result = ahid.register(outputHandle, vid, pid, -1, outputReportId, outputReportSize, 1)
print("register Output Handle = " + str(result))
print("outputHandle = " + str(outputHandle.value))

result = ahid.register(inputHandle, vid, pid, -1, inputReportId, inputReportSize, 0)
print("register Input Handle = " + str(result))
print("inputHandle = " + str(inputHandle.value))

result = ahid.find(outputHandle)
print("find device = " + str(result))

# Main loop
while True:
    # Wait for a key + ENTER
    print("-----------------------------------------")
    key = input("Hit ENTER to send data, x + ENTER to exit: ")

    # Exit loop here
    if key == 'x':
        ahid.deregister(outputHandle)
        ahid.deregister(inputHandle)
        break

    # Send data to device
    ahid.write(outputHandle, outputBuffer, outputReportSize, bytesWritten)
    print("bytes written = " + str(bytesWritten.value))

    # Wait some milliseconds so the device has time to process the data
    # and send it back to the PC
    sleep(0.5)

    # Read in data from device
    ahid.read(inputHandle, inputBuffer, inputReportSize, bytesRead)
    print("bytes read = " + str(bytesRead.value))



